> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/api/csharp/yarn/yarn.dialogue/yarn.dialogue.getheaders.md).

# GetHeaders(string)

Method in [Dialogue](/api/csharp/yarn/yarn.dialogue.md)

## Summary

Gets the collection of headers present on the node named `nodeName` .

```csharp
public IEnumerable<KeyValuePair<string, string>> GetHeaders(string nodeName)
```

## Parameters

| Name              | Description                              |
| ----------------- | ---------------------------------------- |
| `string` nodeName | The name of the node to get headers for. |

## Returns

A collection of key-values pairs, each one representing a header on the node.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn/yarn.dialogue/yarn.dialogue.getheaders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
